## ros-r2b3-tf2-eigen 0.5.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_eigen)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_ros REQUIRED)

find_package(Eigen3 REQUIRED)
set(Eigen_INCLUDE_DIR "${EIGEN3_INCLUDE_DIR}")
message(STATUS "Using Eigen3 include dirs: ${Eigen_INCLUDE_DIR}")

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION include/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  ament_add_gtest(tf2_eigen-test test/tf2_eigen-test.cpp)
  if(TARGET tf2_eigen-test)
    target_include_directories(tf2_eigen-test PUBLIC
      include
      ${tf2_INCLUDE_DIRS}
      ${tf2_ros_INCLUDE_DIRS}
      ${Eigen_INCLUDE_DIR}
    )
  endif()
endif()

ament_export_include_directories(include)
ament_export_dependencies(tf2_ros)
ament_package()

=== debian/changelog ===
ros-r2b3-tf2-eigen (0.5.15-8xenial) xenial; urgency=high

  * fixup #186 <https://github.com/ros/geometry2/issues/186>: inline template specializations (#200 <https://github.com/ros/geometry2/issues/200>)
  * Contributors: Robert Haschke

 -- Koji Terada <terakoji@gmail.com>  Tue, 24 Jan 2017 05:00:00 -0000

ros-r2b3-tf2-eigen (0.5.14-8xenial) xenial; urgency=high

  * Add tf2_eigen conversions for Pose and Point (not stamped) (#186 <https://github.com/ros/geometry2/issues/186>)
    * tf2_eigen: added conversions for Point msg type (not timestamped) to Eigen::Vector3d
    * tf2_eigen: added conversions for Pose msg type (not timestamped) to Eigen::Affine3d
    * tf2_eigen: new functions are inline now
    * tf2_eigen test compiling again
    * tf2_eigen: added tests for Affine3d and Vector3d conversion
    * tf2_eigen: added redefinitions of non-stamped conversion function to make usage in tf2::convert() possible
    * tf2_eigen: reduced redundancy by reusing non-stamped conversion-functions in their stamped counterparts
    * tf2_eigen: added notes at doTransform-implementations which can not work with tf2_ros::BufferInterface::transform
    * tf2_eigen: fixed typos
  * Don't export local include dirs (#180 <https://github.com/ros/geometry2/issues/180>)
  * Improve documentation.
  * Contributors: Jackie Kay, Jochen Sprickerhof, cwecht

 -- Koji Terada <terakoji@gmail.com>  Mon, 16 Jan 2017 05:00:00 -0000

ros-r2b3-tf2-eigen (0.5.13-8xenial) xenial; urgency=high

  * Added missing inline
  * Added unit test
    - Testing conversion to msg forward/backward
  * Added eigenTotransform function
  * Contributors: Davide Tateo, boris-il-forte

 -- Koji Terada <terakoji@gmail.com>  Fri, 04 Mar 2016 05:00:00 -0000

ros-r2b3-tf2-eigen (0.5.12-8xenial) xenial; urgency=high



 -- Koji Terada <terakoji@gmail.com>  Wed, 05 Aug 2015 04:00:00 -0000

ros-r2b3-tf2-eigen (0.5.11-8xenial) xenial; urgency=high



 -- Koji Terada <terakoji@gmail.com>  Wed, 22 Apr 2015 04:00:00 -0000

ros-r2b3-tf2-eigen (0.5.10-8xenial) xenial; urgency=high

  * fixing CMakeLists.txt from #97 <https://github.com/ros/geometry_experimental/issues/97>
  * create tf2_eigen.
  * Contributors: Tully Foote, koji

 -- Koji Terada <terakoji@gmail.com>  Tue, 21 Apr 2015 04:00:00 -0000

=== debian/control ===
Source: ros-r2b3-tf2-eigen
Section: misc
Priority: extra
Maintainer: Koji Terada <terakoji@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-r2b3-ament-cmake, ros-r2b3-ament-cmake-gtest, ros-r2b3-geometry-msgs, ros-r2b3-tf2, ros-r2b3-tf2-ros, ros-r2b3-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-r2b3-tf2-eigen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-r2b3-geometry-msgs, ros-r2b3-tf2, ros-r2b3-tf2-ros, ros-r2b3-ros-workspace
Description: tf2_eigen

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/r2b3/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b3/setup.sh" ]; then . "/opt/ros/r2b3/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/r2b3" \
		-DAMENT_PREFIX_PATH="/opt/ros/r2b3"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b3/setup.sh" ]; then . "/opt/ros/r2b3/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/r2b3/setup.sh" ]; then . "/opt/ros/r2b3/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b3/setup.sh" ]; then . "/opt/ros/r2b3/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-r2b3-tf2-eigen//opt/ros/r2b3/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b3/setup.sh" ]; then . "/opt/ros/r2b3/setup.sh"; fi && \
	dh_auto_install
